NETWORK-FIREWALL_MAPPED-SECRET_CREATE(1)

NAME
network-firewall_mapped-secret_create -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Creates a new Mapped Secret for the Network Firewall Policy.

USAGE

oci network-firewall mapped-secret create [OPTIONS]

REQUIRED PARAMETERS

--name [text]

    Unique name to identify the group of urls to be used in the policy rules.

--network-firewall-policy-id [text]

    Unique Network Firewall Policy identifier

--source [text]

    Source of the secrets, where the secrets are stored.

--type [text]

    Type of the secrets mapped based on the policy.

•   SSL_INBOUND_INSPECTION: For Inbound inspection of SSL traffic. * SSL_FORWARD_PROXY: For forward proxy certificates for SSL inspection.

    Accepted values are:

    SSL_FORWARD_PROXY, SSL_INBOUND_INSPECTION

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/network-firewall/network-firewall-policy/create.html#cmdoption-compartment-id
    export name=<substitute-value-of-name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/network-firewall/mapped-secret/create.html#cmdoption-name
    export source=<substitute-value-of-source> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/network-firewall/mapped-secret/create.html#cmdoption-source
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/network-firewall/mapped-secret/create.html#cmdoption-type
    network_firewall_policy_id=$(oci network-firewall network-firewall-policy create --compartment-id $compartment_id --query data.id --raw-output)
    oci network-firewall mapped-secret create --name $name --network-firewall-policy-id $network_firewall_policy_id --source $source --type $type

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle